UniProtFormat.Terms (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.UniProtFormat.Terms class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class UniProtFormat.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms
          org.biojavax.bio.seq.io.UniProtFormat.Terms

Enclosing class:
  UniProtFormat

    public static class UniProtFormat.Terms

extends RichSequence.Terms

Implements some UniProt-specific terms.

Field Summary

Fields inherited from class org.biojavax.bio.seq.RichSequence.Terms
`DOI_KEY, MEDLINE_KEY, PLASMID_KEY, PUBMED_KEY, SPECIES_KEY, STRAIN_KEY, TISSUE_KEY, TRANSPOSON_KEY`

Constructor Summary
`UniProtFormat.Terms()`

Method Summary
`static ComparableTerm` | `getUniProtDBNameTerm()` Getter for the UniProt combined database term
`static ComparableTerm` | `getUniProtTerm()` Getter for the UniProt term

Methods inherited from class org.biojavax.bio.seq.RichSequence.Terms
`getAdditionalAccessionTerm, getCopyrightTerm, getDataClassTerm, getDateAnnotatedTerm, getDateCreatedTerm, getDateUpdatedTerm, getFeatureDescTerm, getFTIdTerm, getGeneNameTerm, getGeneSynonymTerm, getKeywordTerm, getMolTypeTerm, getOrderedLocusNameTerm, getORFNameTerm, getOrganelleTerm, getPlasmidTerm, getRelAnnotatedTerm, getRelCreatedTerm, getRelUpdatedTerm, getSpeciesTerm, getStrainTerm, getStrandedTerm, getTissueTerm, getTransposonTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniProtFormat.Terms

    public UniProtFormat.Terms()

Method Detail

### getUniProtTerm

    public static ComparableTerm getUniProtTerm()

  Getter for the UniProt term

  Returns:
    The UniProt Term

### getUniProtDBNameTerm

    public static ComparableTerm getUniProtDBNameTerm()

  Getter for the UniProt combined database term

  Returns:
    The combined database for UniProt Term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD